//
//  AerListViewController.m
//  Aer
//
//  Created by kuzey on 4.06.2014.
//  Copyright (c) 2014 kuzey. All rights reserved.
//

#import "AerListViewController.h"
#import "HavaService.h"
#import "AerItemsCellTableViewCell.h"


@interface AerListViewController ()

@property (nonatomic,strong) NSArray * weatherItems;

@end

@implementation AerListViewController

@synthesize table=_table;
@synthesize lblTitle=_lblTitle;
@synthesize woeid=_woeid;
@synthesize weatherItems=_weatherItems;




- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}




-(id) initWithWoeid:(NSString *)woeid{
    self =[super init];
    [self setWoeid:woeid];
    
    return self;
    
}
- (void)viewDidLoad
{
    [super viewDidLoad];
    [[self lblTitle] setText:[NSString stringWithFormat:@"Aer for %@ " ,[self woeid]]];
    
    [HavaService retrieveWeatherForecastForWoeid:[self woeid] withBlock:^(NSArray *weatherItems){
        [self setWeatherItems:weatherItems];
        [[self table] reloadData];
        
    }];
    
}

#pragma  mark - UITableViewDataSource

-(NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section{
    
    return [_weatherItems count];

}

-(UITableViewCell*)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath{
    
    
    static NSString * CellId= @"AerItemsCell";
    AerItemsCellTableViewCell * cell = [tableView dequeueReusableCellWithIdentifier:CellId];
    if (!cell) {
        NSArray *nib= [[NSBundle mainBundle] loadNibNamed:@"AerItemsCellTableViewCell.h" owner:nil options:nil];
        cell = [nib objectAtIndex:0];
        
    }
    
    AerItems * weatherItem =[[self weatherItems] objectAtIndex:[indexPath row]];
    [cell setWeatherItem:weatherItem];
    return cell;
    
}

#pragma mark - UITableViewDelegate

-(CGFloat)tableView:(UITableView *)tableView heightForRowAtIndexPath:(NSIndexPath *)indexPath{
    return 64.0;

}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
