//
//  HavaService.m
//  Aer
//
//  Created by kuzey on 4.06.2014.
//  Copyright (c) 2014 kuzey. All rights reserved.
//

#import "HavaService.h"
#import "HavaClient.h"
#import "AerItems.h"



@implementation HavaService

static NSString * const kYQLQuery = @"select * from weather.forecast where woeid='%@'";



+(void)retrieveWeatherForecastForWoeid:(NSString *)woeid withBlock:(void (^)(NSArray *weatherItems))block{
    NSMutableArray * weatherItems= [NSMutableArray new];
    
    NSString * query = [NSString stringWithFormat:kYQLQuery, woeid];
    NSDictionary * paramDict= [NSDictionary dictionaryWithObjectsAndKeys:query,@"q" ,@"format" , @"json", nil];
    
    [[HavaClient sharedClient] GET:@"" parameters:paramDict success:^(NSURLSessionDataTask *task, id responseObject) {
        NSDictionary * query = [responseObject objectForKey:@"query"];
        NSDictionary * result = [query objectForKey:@"result"];
        NSDictionary * channel = [result objectForKey:@"channel"];
        NSDictionary *  item = [channel objectForKey:@"item"];
        NSArray * forecast = [item objectForKey:@"forecast"];
        
        for (NSDictionary * item in forecast){
            AerItems * weatherItem = [[AerItems alloc] initWithItemDictionary:item];
            [weatherItems addObject:weatherItem];
        }
        if (block){
            block ([NSArray arrayWithArray:weatherItems]);
        }
        
    } failure:^(NSURLSessionDataTask *task, NSError *error) {
        if (block){
            block([NSArray array]);
        }
    }];
}
@end
